import 'package:flutter/material.dart';

class ContentButton extends StatelessWidget {
  const ContentButton({
    Key? key,
    required this.prefixIcon,
    required this.label,
    required this.suffixIcon,
  }) : super(key: key);

  final Widget? prefixIcon;
  final String label;
  final Widget? suffixIcon;

  @override
  Widget build(BuildContext context) {
    if (prefixIcon == null && suffixIcon == null) {
      return Text(
        label,
        textAlign: TextAlign.center,
      );
    }

    return Row(
      children: [
        if (prefixIcon != null) prefixIcon! else const SizedBox(width: 20),
        Expanded(
          child: Text(
            label,
            textAlign: TextAlign.center,
          ),
        ),
        if (suffixIcon != null) suffixIcon! else const SizedBox(width: 20),
      ],
    );
  }
}
