import 'package:flutter/material.dart';

class LoadingButtonIndicator extends StatelessWidget {
  const LoadingButtonIndicator({
    Key? key,
    required this.loadingColor,
  }) : super(key: key);

  final Color? loadingColor;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Flexible(
          child: SizedBox(
            height: 18,
            width: 18,
            child: CircularProgressIndicator(
              color: loadingColor ?? Theme.of(context).colorScheme.onPrimary,
              strokeWidth: 2.6,
            ),
          ),
        ),
      ],
    );
  }
}
